Package com.independentsoft.office.word.sections

# Class PageNumberingSettings

java.lang.Object
com.independentsoft.office.word.sections.PageNumberingSettings

public class PageNumberingSettings extends Object
The Class PageNumberingSettings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageNumberingSettings()`
  Instantiates a new page numbering settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PageNumberingSettings`
  `clone()`
  `int`
  `getChapterHeadingStyle()`
  Gets the chapter heading style.
  `ChapterSeparatorType`
  `getChapterSeparator()`
  Gets the chapter separator.
  `int`
  `getFirstPageNumber()`
  Gets the first page number.
  `NumberingFormat`
  `getPageNumberingFormat()`
  Gets the page numbering format.
  `void`
  `setChapterHeadingStyle​(int chapterHeadingStyle)`
  Sets the chapter heading style.
  `void`
  `setChapterSeparator​(ChapterSeparatorType chapterSeparator)`
  Sets the chapter separator.
  `void`
  `setFirstPageNumber​(int firstPageNumber)`
  Sets the first page number.
  `void`
  `setPageNumberingFormat​(NumberingFormat pageNumberingFormat)`
  Sets the page numbering format.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PageNumberingSettings

    public PageNumberingSettings()
    Instantiates a new page numbering settings.

- ## Method Details

  - ### clone

    public PageNumberingSettings clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getChapterSeparator

    public ChapterSeparatorType getChapterSeparator()
    Gets the chapter separator.
    Returns:
      the chapter separator

  - ### setChapterSeparator

    public void setChapterSeparator​(ChapterSeparatorType chapterSeparator)
    Sets the chapter separator.
    Parameters:
      `chapterSeparator` - the new chapter separator

  - ### getChapterHeadingStyle

    public int getChapterHeadingStyle()
    Gets the chapter heading style.
    Returns:
      the chapter heading style

  - ### setChapterHeadingStyle

    public void setChapterHeadingStyle​(int chapterHeadingStyle)
    Sets the chapter heading style.
    Parameters:
      `chapterHeadingStyle` - the new chapter heading style

  - ### getPageNumberingFormat

    public NumberingFormat getPageNumberingFormat()
    Gets the page numbering format.
    Returns:
      the page numbering format

  - ### setPageNumberingFormat

    public void setPageNumberingFormat​(NumberingFormat pageNumberingFormat)
    Sets the page numbering format.
    Parameters:
      `pageNumberingFormat` - the new page numbering format

  - ### getFirstPageNumber

    public int getFirstPageNumber()
    Gets the first page number.
    Returns:
      the first page number

  - ### setFirstPageNumber

    public void setFirstPageNumber​(int firstPageNumber)
    Sets the first page number.
    Parameters:
      `firstPageNumber` - the new first page number